List publisher domains for a storefront
curl --request GET \
--url https://api.interchange.io/api/v2/buyer/storefronts/{storefrontId}/publishers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/buyer/storefronts/{storefrontId}/publishers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/buyer/storefronts/{storefrontId}/publishers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"publishers": [
{
"domain": "<string>",
"verification": "verified",
"propertyCount": 4503599627370495
}
],
"total": 4503599627370495,
"verifiedCount": 4503599627370495
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Storefronts
List publisher domains for a storefront
Paginated list of publisher domains a storefront covers, with verification status. Use ?verification=verified to filter to only adagents.json-authorized domains.
GET
/
storefronts
/
{storefrontId}
/
publishers
List publisher domains for a storefront
curl --request GET \
--url https://api.interchange.io/api/v2/buyer/storefronts/{storefrontId}/publishers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/buyer/storefronts/{storefrontId}/publishers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/buyer/storefronts/{storefrontId}/publishers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"publishers": [
{
"domain": "<string>",
"verification": "verified",
"propertyCount": 4503599627370495
}
],
"total": 4503599627370495,
"verifiedCount": 4503599627370495
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Path Parameters
Storefront ID
Required range:
0 < x <= 9007199254740991Query Parameters
Required range:
1 <= x <= 100Required range:
0 <= x <= 9007199254740991Minimum string length:
1Available options:
verified, declared